Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
net Module Reference

Network Configuration. More...

## Classes
struct | CommonInfo
| Common info. More...
struct | CommonInfoChangedEvent
| Event that is send when common network info has changed. More...
struct | CommonSettings
| Common settings. More...
interface | Diagnostics
| Diagnostics interface. More...
struct | DnsInfo
| DNS info. More...
struct | DnsSettings
| DNS settings. More...
struct | EapAuthSettings
| EAP authentication settings. More...
struct | EthInfo
| Ethernet interface info. More...
struct | EthInfoChangedEvent
| Event that is send when ethernet interface specific network info has changed. More...
struct | EthLinkMode
| Ethernet link mode. More...
struct | EthSettings
| Ethernet interface settings. More...
struct | Info
| Network info. More...
struct | InterfaceInfo
| Interface specific info. More...
struct | InterfaceInfoChangedEvent
| Event that is send when common interface specific network info has changed. More...
struct | InterfaceIpSettings
| Interface specific IP settings. More...
struct | InterfaceIPv4Info
| Interface specific IPv4 info. More...
struct | InterfaceIPv6Info
| Interface specific IPv6 info. More...
struct | InterfaceSettings
| Interface specific settings. More...
struct | IpAddrCidr
| IPv4/IPv6 address and prefix len. More...
struct | IpRoute
| IPv4/IPv6 route. More...
struct | IpRoutingSettings
| IP protocol specific routing settings. More...
struct | LinkStateChangedEvent
| Event that is send when the operational state of an interface changed. More...
interface | Net
| Network configuration interface. More...
interface | PortForwardingAutoSetup
| Interface for running the port-forwarding auto-setup. More...
struct | PortForwardingAutoSetupExpansionUnit
struct | PortForwardingAutoSetupStatus
| The status and expansion units of a port-forwarding auto-setup run. More...
struct | PortForwardingAutoSetupStatusChangedEvent
| The status of the auto-setup changed. More...
struct | PortForwardingExpansionUnitPresenceStateChangedEvent
| Event that is send when the presence state of a downstream port forwarding expansion unit changes. More...
struct | PortForwardingInfo
| Port forwarding info. More...
struct | PortForwardingPrimaryUnitAddrInfo
| Port forwarding primary unit address info for an interface. More...
struct | PortForwardingProtocolMapping
| Mapping from application protocol id to name and transport protocol. More...
struct | PortForwardingSettings
| Port forwarding settings. More...
struct | RoutingInfo
| Routing info. More...
struct | RoutingSettings
| Routing settings. More...
interface | Services
| Network services configuration interface. More...
struct | ServiceSettings
| Network service settings. More...
struct | Settings
| Network settings. More...
struct | WlanInfo
| WLAN interface info. More...
struct | WlanInfoChangedEvent
| Event that is send when WLAN interface specific network info has changed. More...
struct | WlanSettings
| WLAN interface settings. More...

## Enumerations
enum | PortForwardingRole { PRIMARY_UNIT , EXPANSION_UNIT }
| Role of the node when port forwarding is enabled. More...
enum | IpConfigMethod { STATIC , DHCP , AUTO }
| IP configuration method. More...
enum | InterfaceType { ETHERNET , WLAN , BRIDGE }
| The interface type. More...
enum | InterfaceOpState { NOT_PRESENT , DOWN , NO_LINK , UP }
| Interface operational state. More...
enum | EapOuterAuthMethod { EAP_PEAP , EAP_TLS }
| EAP outer authentication method. More...
enum | EapInnerAuthMethod { INNER_EAP_MSCHAPv2 , INNER_EAP_TLS }
| EAP inner authentication method. More...
enum | EapStatus { EAP_STATUS_DISABLED , EAP_STATUS_PENDING , EAP_STATUS_FAILED , EAP_STATUS_SUCCESS }
| EAP authentication status. More...
enum | EthSpeed { SPEED_AUTO , SPEED_MBIT_10 , SPEED_MBIT_100 , SPEED_MBIT_1000 }
| Ethernet speed. More...
enum | EthDuplexMode { DUPLEX_MODE_AUTO , DUPLEX_MODE_HALF , DUPLEX_MODE_FULL }
| Ethernet duplex mode. More...
enum | EthAuthType { ETH_AUTH_NONE , ETH_AUTH_EAP }
| Ethernet authentication type. More...
enum | WlanSecProtocol { WPA2 }
| WLAN security protocol. More...
enum | WlanAuthType { WLAN_AUTH_NONE , WLAN_AUTH_PSK , WLAN_AUTH_EAP }
| WLAN authentication type. More...
enum | WlanChannelWidth { CHANNEL_WIDTH_UNKNOWN , CHANNEL_WIDTH_20_NO_HT , CHANNEL_WIDTH_20 , CHANNEL_WIDTH_40 , CHANNEL_WIDTH_80 , CHANNEL_WIDTH_80P80 , CHANNEL_WIDTH_160 }
| WLAN channel width. More...
enum | PortForwardingAutoSetupExpansionUnitState { PF_AUTO_SETUP_UNIT_ALREADY_EXISTS , PF_AUTO_SETUP_UNIT_PENDING , PF_AUTO_SETUP_UNIT_ADDED , PF_AUTO_SETUP_UNIT_ERROR }
| The state of a specific expansion unit during a port-forwarding auto-setup run. More...
enum | PortForwardingAutoSetupRunningState { PF_AUTO_SETUP_NONE , PF_AUTO_SETUP_RUNNING , PF_AUTO_SETUP_CANCELED , PF_AUTO_SETUP_FINISHED_WITH_ERROR , PF_AUTO_SETUP_FINISHED_SUCCESSFULLY }
| The state of a port-forwarding auto-setup run. More...

## Detailed Description

Network Configuration.

Network services configuration.

Port-forwarding auto-setup.

## Enumeration Type Documentation

## ◆ EapInnerAuthMethod

enum net::EapInnerAuthMethod

EAP inner authentication method.

Enumerator
INNER_EAP_MSCHAPv2 | MSCHAPv2 authentication.
INNER_EAP_TLS | TLS authentication.

Definition at line 182 of file Net.idl.

## ◆ EapOuterAuthMethod

enum net::EapOuterAuthMethod

EAP outer authentication method.

Enumerator
EAP_PEAP | PEAP authentication.
EAP_TLS | TLS authentication.

Definition at line 176 of file Net.idl.

## ◆ EapStatus

enum net::EapStatus

EAP authentication status.

Enumerator
EAP_STATUS_DISABLED | EAP authentication disabled.
EAP_STATUS_PENDING | EAP authentication pending.
EAP_STATUS_FAILED | EAP authentication failed.
EAP_STATUS_SUCCESS | EAP authentication succeeded.

Definition at line 188 of file Net.idl.

## ◆ EthAuthType

enum net::EthAuthType

Ethernet authentication type.

Enumerator
ETH_AUTH_NONE | No authentication.
ETH_AUTH_EAP | 802::1x (EAP) authentication

Definition at line 230 of file Net.idl.

## ◆ EthDuplexMode

enum net::EthDuplexMode

Ethernet duplex mode.

Enumerator
DUPLEX_MODE_AUTO | Use auto-negotiation to set duplex mode.
DUPLEX_MODE_HALF | Half duplex.
DUPLEX_MODE_FULL | Full duplex.

Definition at line 223 of file Net.idl.

## ◆ EthSpeed

enum net::EthSpeed

Ethernet speed.

Enumerator
SPEED_AUTO | Use auto-negotiation to set speed.
SPEED_MBIT_10 | 10 MBit/s
SPEED_MBIT_100 | 100 MBit/s
SPEED_MBIT_1000 | 1000 MBit/s (1 GBit/s)

Definition at line 215 of file Net.idl.

## ◆ InterfaceOpState

enum net::InterfaceOpState

Interface operational state.

Enumerator
NOT_PRESENT | Interface is not present.
DOWN | Interface is down.
NO_LINK | Interface has no link.
UP | Interface is up and running.

Definition at line 154 of file Net.idl.

## ◆ InterfaceType

enum net::InterfaceType

The interface type.

Enumerator
ETHERNET | Ethernet interface.
WLAN | WLAN interface.
BRIDGE | Bridge interface.

Definition at line 147 of file Net.idl.

## ◆ IpConfigMethod

enum net::IpConfigMethod

IP configuration method.

Enumerator
STATIC | No automatic configuration.
DHCP | Use DHCP for automatic configuration (IPv4 only)
AUTO | Use automatic configuration (IPv6 only)

Definition at line 104 of file Net.idl.

## ◆ PortForwardingAutoSetupExpansionUnitState

enum net::PortForwardingAutoSetupExpansionUnitState

The state of a specific expansion unit during a port-forwarding auto-setup run.

Enumerator
PF_AUTO_SETUP_UNIT_ALREADY_EXISTS | Expansion unit already exists, no further setup needed.
PF_AUTO_SETUP_UNIT_PENDING | Currently trying to discover and setup this unit.
PF_AUTO_SETUP_UNIT_ADDED | Expansion unit was successfully added.
PF_AUTO_SETUP_UNIT_ERROR | Could not add this expansion unit.

Definition at line 14 of file PortForwardingAutoSetup.idl.

## ◆ PortForwardingAutoSetupRunningState

enum net::PortForwardingAutoSetupRunningState

The state of a port-forwarding auto-setup run.

Enumerator
PF_AUTO_SETUP_NONE | No port-forwarding auto-setup run available.
PF_AUTO_SETUP_RUNNING | Port-forwarding auto-setup is currently running.
PF_AUTO_SETUP_CANCELED | Port-forwarding auto-setup was canceled.
PF_AUTO_SETUP_FINISHED_WITH_ERROR | Port-forwarding auto-setup finished with an error.
PF_AUTO_SETUP_FINISHED_SUCCESSFULLY | Port-forwarding auto-setup finished successfully.

Definition at line 27 of file PortForwardingAutoSetup.idl.

## ◆ PortForwardingRole

enum net::PortForwardingRole

Role of the node when port forwarding is enabled.

Enumerator
PRIMARY_UNIT | Node is a port forwarding primary unit.
EXPANSION_UNIT | Node is a port forwarding expansion unit.

Definition at line 27 of file Net.idl.

## ◆ WlanAuthType

enum net::WlanAuthType

WLAN authentication type.

Enumerator
WLAN_AUTH_NONE | No authentication.
WLAN_AUTH_PSK | Pre-shared key authentication.
WLAN_AUTH_EAP | 802::1x (EAP) authentication

Definition at line 266 of file Net.idl.

## ◆ WlanChannelWidth

enum net::WlanChannelWidth

WLAN channel width.

Definition at line 286 of file Net.idl.

## ◆ WlanSecProtocol

enum net::WlanSecProtocol

WLAN security protocol.

Enumerator
WPA2 | WPA2 security protocol.

Definition at line 261 of file Net.idl.